- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TActiveRecord
TActiveRecordChangeEventParameter
TActiveRecordConfig
TActiveRecordConfigurationException
TActiveRecordCriteria
TActiveRecordException
TActiveRecordGateway
TActiveRecordInvalidFinderResult
TActiveRecordManager

Keyword

# Class TActiveRecordChangeEventParameter

    TComponent
       |
       --TEventParameter
          |
          --TActiveRecordChangeEventParameter

TActiveRecordChangeEventParameter class

TActiveRecordChangeEventParameter encapsulates the parameter data for ActiveRecord change commit events that are broadcasted. The following change events may be raise: TActiveRecord::OnInsert, TActiveRecord::OnUpdate and TActiveRecord::OnDelete. The IsValid parameter can be set to false to prevent the requested change event to be performed.

Since: 3.1.2
Author: Wei Zhuo<weizhuo@gmail.com>

Method Summary
boolean | getIsValid ()
void | setIsValid ( boolean $value)

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## getIsValid

public boolean getIsValid | ()

Output
boolean | whether the event should be performed.
Exception

## setIsValid

public void setIsValid | (boolean $value )

Input
boolean | $value | set to false to prevent the event.
Output
Exception